%define name upnpproxy
%define version 0.2
%define release 1.beta0


Summary: a simple proxy for UPnP
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: Modified BSD License
Group: Applications/Multimedia
Url: http://www.nongnu.org/upnpproxy/
Source0: %{name}-%{version}.tar.bz2
Packager: Daniel Berteaud <daniel@firewall-services.com>

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: openssl-devel

%description
On aspect of UPnP is the simplicity of "Plug-N-Play" part from a user perspective.
It should be as simple as just plugging in the device or application and it works.
It sometimes it does, it really does.

On part of the technological magic that tries to make this happen is called multicast,
each device and application calls out to all others in a "I'm Here, I'm Here!" fashion.
One limitation of this technology, as implemented in IPv4, is that it generally
is subnet local, so different networks can not easily talk to each other this way.
Here is where UPnP proxy comes in - it can act as a bridge between multiple networks
making it appear as just one big network to other UPnP clients.


%changelog
* Sat Jun 1 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.2-1
- Initial release


%prep
%setup -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}
%{__cp} doc/%{name}.conf  %{buildroot}%{_sysconfdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS README COPYING
%config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(755,root,root) %{_bindir}/*
